#
# spec file for package perl-Task-Kensho-XML
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Task-Kensho-XML
Name:           perl-Task-Kensho-XML
Version:        0.41
Release:        1.18
Summary:        Glimpse at an Enlightened Perl: XML Development
License:        Artistic-1.0 OR GPL-1.0-or-later
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(XML::Generator::PerlData)
BuildRequires:  perl(XML::LibXML)
BuildRequires:  perl(XML::LibXSLT)
BuildRequires:  perl(XML::SAX)
BuildRequires:  perl(XML::SAX::Writer)
Requires:       perl(XML::Generator::PerlData)
Requires:       perl(XML::LibXML)
Requires:       perl(XML::LibXSLT)
Requires:       perl(XML::SAX)
Requires:       perl(XML::SAX::Writer)
%{perl_requires}

%description
From http://en.wikipedia.org/wiki/Kensho:

    Kenshō (見性) (C. Wu) is a Japanese term for enlightenment experiences -
    most commonly used within the confines of Zen Buddhism - literally
    meaning "seeing one's nature"[1] or "true self."[2] It generally
    "refers to the realization of nonduality of subject and object."[3]

Task::Kensho is a list of recommended modules for Enlightened Perl
development. CPAN is wonderful, but there are too many wheels and you have
to pick and choose amongst the various competing technologies.

The plan is for Task::Kensho to be a rough testing ground for ideas that go
into among other things the Enlightened Perl Organisation Extended Core
(EPO-EC).

The modules that are bundled by Task::Kensho are broken down into several
categories and are still being considered. They are all taken from various
top 100 most used perl modules lists and from discussions with various
subject matter experts in the Perl Community. That said, this bundle does
_not_ follow the guidelines established for the EPO-EC for peer review via
industry advisers.

Starting in 2011, Task::Kensho split its sub-groups of modules into
individually-installable tasks. Each Task::Kensho sub-task is listed at the
beginning of its section in this documentation.

When installing Task::Kensho itself, you will be asked to install each
sub-task in turn, or you can install individual tasks separately. These
individual tasks will always install all their modules by default. This
facilitates the ease and simplicity the distribution aims to achieve.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENCE

%changelog
* Mon Jul  5 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.41
  see /usr/share/doc/packages/perl-Task-Kensho-XML/Changes
  0.41      2021-07-03
  - Async: added Future, Mojo::IOLoop, MCE, Parallel::ForkManager
  - Dates: added Time::Piece; removed Date::Tiny, Time::Tiny, DateTime::Tiny
  - ExcelCSV: replaced Spreadsheet::ParseExcel with Spreadsheet::Read,
    added Excel::Writer::XLSX
  - Hackery: added ojo
  - Logging: added Log::Any
  - Testing: added Test2::Suite
  - WebCrawling: added Mojo::UserAgent
  - WebDev: added Web::Simple
* Thu Dec  6 2018 Stephan Kulow <coolo@suse.com>
- updated to 0.40
  see /usr/share/doc/packages/perl-Task-Kensho-XML/Changes
  0.40      2018-12-01
  - CLI: added Reply
  - Dates: added Time::Moment
  - Email: added Email::Stuffer
  - Exceptions: added Syntax::Keyword::Try
  - ModuleDev: added Code::TidyAll, removed Perl::Version
  - OOP: removed Task::Moose
  - Toolchain: added App::cpm
  - WebDev: added HTTP::BrowserDetect, Attean
  - XML: removed RDF::Trine
* Fri Jun 24 2016 coolo@suse.com
- updated to 0.39
  see /usr/share/doc/packages/perl-Task-Kensho-XML/Changes
  0.39      2016-05-14
  - WebDev: removed Dancer, added Dancer2
  - OOP: added Moose, Moo and many related modules
  - Exceptions: remove TryCatch
  - Testing: remove Test::Most and Test::NoWarnings, added Test::Warnings
  - Config: added JSON::MaybeXS
* Sat Feb  7 2015 coolo@suse.com
- updated to 0.38, version bump
* Fri Apr 29 2011 coolo@opensuse.org
- updated to 0.28
* Fri Jan 21 2011 coolo@novell.com
- initial package 0.27
  * created by cpanspec 1.78.03
